Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventMotion Class Reference

A GdkEventMotion C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventMotion:

List of all members.

## Public Member Functions

Accessors

- GdkEventMotion * gdk_event_motion () const
    Get a pointer to the GdkEventMotion structure.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- double x () const
    Returns the X coordinate of the pointer relative to the window.
- double y () const
    Returns the Y coordinate of the pointer relative to the window.
- double * axes () const
    Returns x, y translated to the axes of the device, or null if device is the mouse.
- ModifierTypeField state () const
    Returns a bit-mask representing the state of the modifier keys (for example, Control, Shift and Alt) and the pointer buttons (see Gdk::ModifierType).
- bool is_hint () const
    Returns true if the POINTER_MOTION_HINT_MASK is set.
- Device * device () const
    Returns the Device where the event originated.
- double x_root () const
    Returns the X coordinate of the pointer relative to the root of the screen.
- double y_root () const
    Returns the Y coordinate of the pointer relative to the root of the screen.

## Detailed Description

A GdkEventMotion C++ wrapper class.

An EventMotion is generated when the pointer moves.

The event type is MOTION_NOTIFY.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer